# gcp::AddOperation Class Reference

`#include <gcp/operation.h>`

Inheritance diagram for gcp::AddOperation:

List of all members.

## Public Member Functions

| AddOperation (gcp::Document *pDoc, unsigned long ID)
void | Undo ()
void | Redo ()

## Detailed Description

Operation class representing objects additions.

Definition at line 156 of file operation.h.

## Constructor & Destructor Documentation

gcp::AddOperation::AddOperation | ( | gcp::Document * | pDoc,
|  | unsigned long | ID |
| ) |  |  |

Parameters:

  | pDoc | a document.
  | ID | a unique operation ID for the document and the session.

Creates a new AddOperation. Operations should always created by calls to Document::GetNewOperation().

## Member Function Documentation

void gcp::AddOperation::Undo | ( |  | ) | `[virtual]`

Undo the additions represented by this operation.

Implements gcp::Operation.

void gcp::AddOperation::Redo | ( |  | ) | `[virtual]`

Redo the additions represented by this operation.

Implements gcp::Operation.

The documentation for this class was generated from the following file:

- operation.h